{% extends "base.html" %}

{% block title %}Matériel / alarmes{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'materiel' %}">Matériel</a></li>
<li class="breadcrumb-item active" aria-current="page">Autre matériel</li>
{% endblock %}

{% block content %}
    <div class="row align-items-center">
        <div class="col"><h2>Gestion de matériel</h2></div>
        {% if perms.alarme.add_alarme %}
        <div class="col text-end">
            <a class="btn btn-sm btn-outline-primary" href="{% url 'materiel-new' %}">Nouveau matériel</a>
        </div>
        {% endif %}
    </div>

    <ul class="nav nav-tabs">
      <li class="nav-item">
        <a class="nav-link" href="{% url 'alarmes' %}">Appareils</a>
      </li>
      <li class="nav-item">
        <a class="nav-link active" aria-current="page" href="{% url 'materiel-liste' %}">Autre matériel</a>
      </li>
    </ul>

    <form class="immediate_submit table-filter unmonitor" method="get" action=".">
    <table class="table">
        <thead class="sticky">
            <tr><th>Modèle</th><th>N° réf.</th><th>Date d’achat</th><th>Installé chez</th></tr>
            <tr class="filters">
                <td>{{ form.type_mat }}</td><td>{{ form.no_ref }}</td><td></td>
                <td>{{ form.nom_client }} <span hidden>{{ form.archived }}</span></td>
            </tr>
        </thead>
        <tbody id="filter_container">
        {% for mat in object_list %}
            <tr>
                <td><a href="{% url 'materiel-edit' mat.pk %}">{{ mat.type_mat }}</a></td>
                <td>{{ mat.no_ref }}</td>
                <td>{{ mat.date_achat|date:'d.m.Y' }}</td>
                {% with client=mat.installations.0.client %}
                <td>{% if client %}<a href="{% url 'client-edit' client.pk %}">{{ client }}</a>
                    {% else %}
                        <span class="fst-italic">
                        {% if mat.date_archive %}Archivé
                        {% else %}En stock
                            {% with benevole=mat.chez_benevole %}
                                {% if benevole %}, chez <a href="{% url 'benevole-stock' benevole.pk %}">{{ benevole }}</a>{% endif %}
                            {% endwith %}
                        {% endif %}
                    {% endif %}
                </td>
                {% endwith %}

            </tr>
        {% endfor %}
        </tbody>
    </table>
    </form>

    {% include 'pagination.html' %}

{% endblock %}
